; the name of your supervisord program
[program:futplus_celery_sniper_worker]

; Set full path to celery program if using virtualenv
command=/var/www/futplus_django/venv/bin/celery -A futplus worker --loglevel=INFO --concurrency=50 -n sniper_worker -Q sniper_queue

; The directory to your Django project
directory=/var/www/futplus_django

user=root

; Supervisor will start as many instances of this program as named by numprocs
numprocs=1

; Put process stdout output in this file
stdout_logfile=/var/www/futplus_django/log/celery_worker_sniper_stdout.log

; Put process stderr output in this file
stderr_logfile=/var/www/futplus_django/log/celery_worker_sniper_stderr.log


autostart=true

autorestart=true

startretries=3

startsecs=10

; killasgroup=true

; Need to wait for currently executing tasks to finish at shutdown.
; Increase this if you have very long running tasks.
stopwaitsecs = 1

; if your broker is supervised, set its priority higher
; so it starts first
priority=111


